System.ServiceModel 4.0.0.0

Implement the interface to control the mapping between WSDL and and objects, especially when reading custom WSDL extensions to modify your contract or endpoint information. Then attach your custom object to a either programmatically or by using an application configuration file. You can also attach your custom object to the internal used by the Service Model Metadata Utility Tool (Svcutil.exe) using an application configuration file.

The method is called to import a contract.

Use the method to modify the metadata that is then imported into and objects.

Implement and attach to a object to control how the importer maps Web Services Description Language (WSDL) parts to those of a object.

- Method
  4.0.0.0
  System.Void `` `` ``

  The methods of all registered objects is called before anything is imported from the supplied metadata.

  Called prior to importing metadata documents.

  The service descriptions to modify. The schema collection to be used when importing. The policy assertions used when importing.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  The method is called when a contract is being imported. You can modify the contract or insert other exporting behaviors such as and an objects to modify the code that is generated for the contract.

  Called when importing a contract.

  The importer.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  The method is called when importing an endpoint. Modify the context properties to customize the imported endpoint.

  Called when importing an endpoint.

  The importer.